# frozen_string_literal: true

module Diversipub
  ##
  # Sinatra web application.
  #
  class SinatraApp < Sinatra::Base
    set :environment, :production
    set :root, File.expand_path('../..', __dir__).freeze
    set :views, nil
    set :public_folder, nil

    def initialize(main)
      super()
      @main = main
    end

    class << self
      # Disable default Sinatra servers & middleware.
      alias new new!
    end

    get '/' do
      'Hello, World!'
    end
  end
end
